Index: sbin/ifconfig/ifvlan.c
===================================================================
RCS file: /home/ncvs/src/sbin/ifconfig/ifvlan.c,v
retrieving revision 1.3
diff -u -r1.3 ifvlan.c
--- sbin/ifconfig/ifvlan.c	2001/08/13 14:06:30	1.3
+++ sbin/ifconfig/ifvlan.c	2001/09/09 02:38:32
@@ -32,6 +32,7 @@
 
 #include <sys/param.h>
 #include <sys/ioctl.h>
+#include <sys/label.h>
 #include <sys/socket.h>
 #include <sys/sockio.h>
 #include <sys/mbuf.h>
cvs diff: Diffing sbin/init
cvs diff: Diffing sbin/ip6fw
cvs diff: Diffing sbin/ipf
cvs diff: Diffing sbin/ipfstat
cvs diff: Diffing sbin/ipfw
cvs diff: Diffing sbin/ipmon
cvs diff: Diffing sbin/ipnat
cvs diff: Diffing sbin/kget
cvs diff: Diffing sbin/kldconfig
cvs diff: Diffing sbin/kldload
cvs diff: Diffing sbin/kldstat
cvs diff: Diffing sbin/kldunload
cvs diff: Diffing sbin/ldconfig
cvs diff: Diffing sbin/md5
cvs diff: Diffing sbin/mdconfig
cvs diff: Diffing sbin/mdmfs
cvs diff: Diffing sbin/mknod
cvs diff: Diffing sbin/mount
cvs diff: Diffing sbin/mount_cd9660
cvs diff: Diffing sbin/mount_ext2fs
cvs diff: Diffing sbin/mount_hpfs
cvs diff: Diffing sbin/mount_ifs
cvs diff: Diffing sbin/mount_msdosfs
cvs diff: Diffing sbin/mount_nfs
cvs diff: Diffing sbin/mount_ntfs
cvs diff: Diffing sbin/mount_nullfs
cvs diff: Diffing sbin/mount_nwfs
cvs diff: Diffing sbin/mount_portalfs
cvs diff: Diffing sbin/mount_std
cvs diff: Diffing sbin/mount_umapfs
cvs diff: Diffing sbin/mount_unionfs
cvs diff: Diffing sbin/mountd
cvs diff: Diffing sbin/natd
cvs diff: Diffing sbin/natd/samples
cvs diff: Diffing sbin/newfs
cvs diff: Diffing sbin/newfs_msdos
cvs diff: Diffing sbin/nfsd
cvs diff: Diffing sbin/nfsiod
cvs diff: Diffing sbin/nologin
cvs diff: Diffing sbin/nos-tun
cvs diff: Diffing sbin/pc98
cvs diff: Diffing sbin/pc98/fdisk
cvs diff: Diffing sbin/ping
cvs diff: Diffing sbin/ping6
cvs diff: Diffing sbin/quotacheck
cvs diff: Diffing sbin/rcorder
cvs diff: Diffing sbin/reboot
cvs diff: Diffing sbin/restore
cvs diff: Diffing sbin/route
cvs diff: Diffing sbin/routed
cvs diff: Diffing sbin/routed/rtquery
cvs diff: Diffing sbin/rtsol
cvs diff: Diffing sbin/savecore
cvs diff: Diffing sbin/shutdown
cvs diff: Diffing sbin/slattach
cvs diff: Diffing sbin/spppcontrol
cvs diff: Diffing sbin/startslip
cvs diff: Diffing sbin/swapon
cvs diff: Diffing sbin/sysctl
cvs diff: Diffing sbin/tunefs
cvs diff: Diffing sbin/umount
cvs diff: Diffing sbin/vinum
cvs diff: Diffing secure
cvs diff: Diffing secure/lib
cvs diff: Diffing secure/lib/libcipher
cvs diff: Diffing secure/lib/libcipher/test
cvs diff: Diffing secure/lib/libcrypt
cvs diff: Diffing secure/lib/libcrypto
cvs diff: Diffing secure/lib/libssh
cvs diff: Diffing secure/lib/libssl
cvs diff: Diffing secure/lib/libtelnet
cvs diff: Diffing secure/libexec
cvs diff: Diffing secure/libexec/sftp-server
cvs diff: Diffing secure/libexec/telnetd
cvs diff: Diffing secure/usr.bin
cvs diff: Diffing secure/usr.bin/bdes
cvs diff: Diffing secure/usr.bin/openssl
cvs diff: Diffing secure/usr.bin/scp
cvs diff: Diffing secure/usr.bin/sftp
cvs diff: Diffing secure/usr.bin/ssh
cvs diff: Diffing secure/usr.bin/ssh-add
cvs diff: Diffing secure/usr.bin/ssh-agent
cvs diff: Diffing secure/usr.bin/ssh-keygen
cvs diff: Diffing secure/usr.bin/ssh-keyscan
cvs diff: Diffing secure/usr.bin/telnet
cvs diff: Diffing secure/usr.sbin
cvs diff: Diffing secure/usr.sbin/sshd
cvs diff: Diffing share
cvs diff: Diffing share/colldef
cvs diff: Diffing share/dict
cvs diff: Diffing share/doc
cvs diff: Diffing share/doc/IPv6
cvs diff: Diffing share/doc/papers
cvs diff: Diffing share/doc/papers/beyond4.3
cvs diff: Diffing share/doc/papers/bufbio
cvs diff: Diffing share/doc/papers/contents
cvs diff: Diffing share/doc/papers/diskperf
cvs diff: Diffing share/doc/papers/fsinterface
cvs diff: Diffing share/doc/papers/jail
cvs diff: Diffing share/doc/papers/kernmalloc
cvs diff: Diffing share/doc/papers/kerntune
cvs diff: Diffing share/doc/papers/malloc
cvs diff: Diffing share/doc/papers/newvm
cvs diff: Diffing share/doc/papers/nqnfs
cvs diff: Diffing share/doc/papers/px
cvs diff: Diffing share/doc/papers/relengr
cvs diff: Diffing share/doc/papers/sysperf
cvs diff: Diffing share/doc/psd
cvs diff: Diffing share/doc/psd/05.sysman
cvs diff: Diffing share/doc/psd/12.make
cvs diff: Diffing share/doc/psd/13.rcs
cvs diff: Diffing share/doc/psd/13.rcs/rcs
cvs diff: Diffing share/doc/psd/13.rcs/rcs_func
cvs diff: Diffing share/doc/psd/18.gprof
cvs diff: Diffing share/doc/psd/20.ipctut
cvs diff: Diffing share/doc/psd/21.ipc
cvs diff: Diffing share/doc/psd/22.rpcgen
cvs diff: Diffing share/doc/psd/23.rpc
cvs diff: Diffing share/doc/psd/24.xdr
cvs diff: Diffing share/doc/psd/25.xdrrfc
cvs diff: Diffing share/doc/psd/26.rpcrfc
cvs diff: Diffing share/doc/psd/27.nfsrpc
cvs diff: Diffing share/doc/psd/28.cvs
cvs diff: Diffing share/doc/psd/contents
cvs diff: Diffing share/doc/psd/title
cvs diff: Diffing share/doc/smm
cvs diff: Diffing share/doc/smm/01.setup
cvs diff: Diffing share/doc/smm/02.config
cvs diff: Diffing share/doc/smm/03.fsck
cvs diff: Diffing share/doc/smm/04.quotas
cvs diff: Diffing share/doc/smm/05.fastfs
cvs diff: Diffing share/doc/smm/06.nfs
cvs diff: Diffing share/doc/smm/08.sendmailop
cvs diff: Diffing share/doc/smm/10.named
cvs diff: Diffing share/doc/smm/11.timedop
cvs diff: Diffing share/doc/smm/12.timed
cvs diff: Diffing share/doc/smm/18.net
cvs diff: Diffing share/doc/smm/contents
cvs diff: Diffing share/doc/smm/title
cvs diff: Diffing share/doc/usd
cvs diff: Diffing share/doc/usd/04.csh
cvs diff: Diffing share/doc/usd/07.mail
cvs diff: Diffing share/doc/usd/10.exref
cvs diff: Diffing share/doc/usd/10.exref/exref
cvs diff: Diffing share/doc/usd/10.exref/summary
cvs diff: Diffing share/doc/usd/11.vitut
cvs diff: Diffing share/doc/usd/12.vi
cvs diff: Diffing share/doc/usd/12.vi/summary
cvs diff: Diffing share/doc/usd/12.vi/vi
cvs diff: Diffing share/doc/usd/12.vi/viapwh
cvs diff: Diffing share/doc/usd/13.viref
cvs diff: Diffing share/doc/usd/18.msdiffs
cvs diff: Diffing share/doc/usd/19.memacros
cvs diff: Diffing share/doc/usd/20.meref
cvs diff: Diffing share/doc/usd/30.rogue
cvs diff: Diffing share/doc/usd/31.trek
cvs diff: Diffing share/doc/usd/contents
cvs diff: Diffing share/doc/usd/title
cvs diff: Diffing share/examples
cvs diff: Diffing share/examples/BSD_daemon
cvs diff: Diffing share/examples/FreeBSD_version
cvs diff: Diffing share/examples/IPv6
cvs diff: Diffing share/examples/atm
cvs diff: Diffing share/examples/bootforth
cvs diff: Diffing share/examples/cvsup
cvs diff: Diffing share/examples/diskless
cvs diff: Diffing share/examples/diskless/209.157.86.12
cvs diff: Diffing share/examples/diskless/HT.DISKLESS
cvs diff: Diffing share/examples/diskless/HT.STD
cvs diff: Diffing share/examples/diskless/archive.backplane.com
cvs diff: Diffing share/examples/drivers
cvs diff: Diffing share/examples/etc
cvs diff: Diffing share/examples/find_interface
cvs diff: Diffing share/examples/ibcs2
cvs diff: Diffing share/examples/ipfw
cvs diff: Diffing share/examples/isdn
cvs diff: Diffing share/examples/isdn/contrib
cvs diff: Diffing share/examples/isdn/i4brunppp
cvs diff: Diffing share/examples/isdn/v21
cvs diff: Diffing share/examples/kld
cvs diff: Diffing share/examples/kld/cdev
cvs diff: Diffing share/examples/kld/cdev/module
cvs diff: Diffing share/examples/kld/cdev/test
cvs diff: Diffing share/examples/kld/dyn_sysctl
cvs diff: Diffing share/examples/kld/syscall
cvs diff: Diffing share/examples/kld/syscall/module
cvs diff: Diffing share/examples/kld/syscall/test
cvs diff: Diffing share/examples/libvgl
cvs diff: Diffing share/examples/mdoc
cvs diff: Diffing share/examples/meteor
cvs diff: Diffing share/examples/netgraph
cvs diff: Diffing share/examples/nwclient
cvs diff: Diffing share/examples/perfmon
cvs diff: Diffing share/examples/portal
cvs diff: Diffing share/examples/ppi
cvs diff: Diffing share/examples/ppp
cvs diff: Diffing share/examples/printing
cvs diff: Diffing share/examples/scsi_target
cvs diff: Diffing share/examples/ses
cvs diff: Diffing share/examples/ses/getencstat
cvs diff: Diffing share/examples/ses/sesd
cvs diff: Diffing share/examples/ses/setencstat
cvs diff: Diffing share/examples/ses/setobjstat
cvs diff: Diffing share/examples/ses/srcs
cvs diff: Diffing share/examples/slattach
cvs diff: Diffing share/examples/sliplogin
cvs diff: Diffing share/examples/startslip
cvs diff: Diffing share/examples/sunrpc
cvs diff: Diffing share/examples/sunrpc/dir
cvs diff: Diffing share/examples/sunrpc/msg
cvs diff: Diffing share/examples/sunrpc/sort
cvs diff: Diffing share/examples/worm
cvs diff: Diffing share/info
cvs diff: Diffing share/isdn
cvs diff: Diffing share/man
cvs diff: Diffing share/man/man0
cvs diff: Diffing share/man/man1
cvs diff: Diffing share/man/man3
cvs diff: Diffing share/man/man4
cvs diff: Diffing share/man/man4/man4.alpha
cvs diff: Diffing share/man/man4/man4.i386
cvs diff: Diffing share/man/man5
cvs diff: Diffing share/man/man6
cvs diff: Diffing share/man/man7
cvs diff: Diffing share/man/man8
cvs diff: Diffing share/man/man8/man8.alpha
cvs diff: Diffing share/man/man8/man8.i386
cvs diff: Diffing share/man/man9
cvs diff: Diffing share/man/tools
cvs diff: Diffing share/me
cvs diff: Diffing share/me/test
cvs diff: Diffing share/misc
cvs diff: Diffing share/mk
cvs diff: Diffing share/mklocale
cvs diff: Diffing share/monetdef
cvs diff: Diffing share/msgdef
cvs diff: Diffing share/numericdef
cvs diff: Diffing share/sendmail
cvs diff: Diffing share/skel
cvs diff: Diffing share/syscons
cvs diff: Diffing share/syscons/fonts
cvs diff: Diffing share/syscons/keymaps
cvs diff: Diffing share/syscons/scrnmaps
cvs diff: Diffing share/tabset
cvs diff: Diffing share/termcap
cvs diff: Diffing share/timedef
cvs diff: Diffing share/zoneinfo
cvs diff: Diffing sys
cvs diff: Diffing sys/alpha
cvs diff: Diffing sys/alpha/alpha
cvs diff: Diffing sys/alpha/compile
cvs diff: Diffing sys/alpha/conf
cvs diff: Diffing sys/alpha/include
cvs diff: Diffing sys/alpha/include/pc
cvs diff: Diffing sys/alpha/isa
cvs diff: Diffing sys/alpha/linux
cvs diff: Diffing sys/alpha/mcbus
cvs diff: Diffing sys/alpha/osf1
cvs diff: Diffing sys/alpha/pci
cvs diff: Diffing sys/alpha/tc
cvs diff: Diffing sys/alpha/tlsb
cvs diff: Diffing sys/arm
cvs diff: Diffing sys/arm/compile
cvs diff: Diffing sys/arm/include
cvs diff: Diffing sys/boot
cvs diff: Diffing sys/boot/alpha
cvs diff: Diffing sys/boot/alpha/boot1
cvs diff: Diffing sys/boot/alpha/cdboot
cvs diff: Diffing sys/boot/alpha/common
cvs diff: Diffing sys/boot/alpha/libalpha
cvs diff: Diffing sys/boot/alpha/loader
cvs diff: Diffing sys/boot/alpha/netboot
cvs diff: Diffing sys/boot/arc
cvs diff: Diffing sys/boot/arc/include
cvs diff: Diffing sys/boot/arc/lib
cvs diff: Diffing sys/boot/arc/lib/arch
cvs diff: Diffing sys/boot/arc/lib/arch/alpha
cvs diff: Diffing sys/boot/arc/loader
cvs diff: Diffing sys/boot/common
cvs diff: Diffing sys/boot/efi
cvs diff: Diffing sys/boot/efi/include
cvs diff: Diffing sys/boot/efi/include/i386
cvs diff: Diffing sys/boot/efi/include/ia64
cvs diff: Diffing sys/boot/efi/libefi
cvs diff: Diffing sys/boot/efi/libefi/arch
cvs diff: Diffing sys/boot/efi/libefi/arch/ia64
cvs diff: Diffing sys/boot/efi/loader
cvs diff: Diffing sys/boot/ficl
cvs diff: Diffing sys/boot/ficl/alpha
cvs diff: Diffing sys/boot/ficl/i386
cvs diff: Diffing sys/boot/ficl/ia64
cvs diff: Diffing sys/boot/ficl/softwords
cvs diff: Diffing sys/boot/forth
cvs diff: Diffing sys/boot/i386
cvs diff: Diffing sys/boot/i386/boot0
cvs diff: Diffing sys/boot/i386/boot2
cvs diff: Diffing sys/boot/i386/btx
cvs diff: Diffing sys/boot/i386/btx/btx
cvs diff: Diffing sys/boot/i386/btx/btxldr
cvs diff: Diffing sys/boot/i386/btx/lib
cvs diff: Diffing sys/boot/i386/cdldr
cvs diff: Diffing sys/boot/i386/kgzldr
cvs diff: Diffing sys/boot/i386/libi386
cvs diff: Diffing sys/boot/i386/liloldr
cvs diff: Diffing sys/boot/i386/loader
cvs diff: Diffing sys/boot/i386/mbr
cvs diff: Diffing sys/boot/i386/pxeldr
cvs diff: Diffing sys/boot/ia64
cvs diff: Diffing sys/boot/ia64/libski
cvs diff: Diffing sys/boot/ia64/skiload
cvs diff: Diffing sys/boot/ofw
cvs diff: Diffing sys/boot/ofw/common
cvs diff: Diffing sys/boot/ofw/libofw
cvs diff: Diffing sys/boot/pc98
cvs diff: Diffing sys/boot/pc98/boot0
cvs diff: Diffing sys/boot/pc98/boot0.5
cvs diff: Diffing sys/boot/pc98/boot2
cvs diff: Diffing sys/boot/pc98/btx
cvs diff: Diffing sys/boot/pc98/btx/btx
cvs diff: Diffing sys/boot/pc98/btx/btxldr
cvs diff: Diffing sys/boot/pc98/btx/lib
cvs diff: Diffing sys/boot/pc98/libpc98
cvs diff: Diffing sys/boot/pc98/loader
cvs diff: Diffing sys/boot/powerpc
cvs diff: Diffing sys/boot/powerpc/loader
cvs diff: Diffing sys/cam
cvs diff: Diffing sys/cam/scsi
cvs diff: Diffing sys/coda
Index: sys/coda/coda_fbsd.c
===================================================================
RCS file: /home/ncvs/src/sys/coda/coda_fbsd.c,v
retrieving revision 1.24
diff -u -r1.24 coda_fbsd.c
--- sys/coda/coda_fbsd.c	2001/06/15 00:02:27	1.24
+++ sys/coda/coda_fbsd.c	2001/08/05 17:01:30
@@ -40,6 +40,7 @@
 #include <sys/kernel.h>
 #include <sys/lock.h>
 #include <sys/malloc.h>
+#include <sys/mac.h>
 #include <sys/ucred.h>
 #include <sys/vnode.h>
 
Index: sys/coda/coda_namecache.c
===================================================================
RCS file: /home/ncvs/src/sys/coda/coda_namecache.c,v
retrieving revision 1.13
diff -u -r1.13 coda_namecache.c
--- sys/coda/coda_namecache.c	2001/05/19 01:27:59	1.13
+++ sys/coda/coda_namecache.c	2001/06/03 14:43:36
@@ -82,6 +82,7 @@
 #include <sys/lock.h>
 #include <sys/malloc.h>
 #include <sys/mutex.h>
+#include <sys/mac.h>
 #include <sys/ucred.h>
 
 #include <vm/vm.h>
cvs diff: Diffing sys/compat
cvs diff: Diffing sys/compat/linprocfs
cvs diff: Diffing sys/compat/linux
cvs diff: Diffing sys/compat/pecoff
cvs diff: Diffing sys/compat/svr4
cvs diff: Diffing sys/conf
Index: sys/conf/files
===================================================================
RCS file: /home/ncvs/src/sys/conf/files,v
retrieving revision 1.566
diff -u -r1.566 files
--- sys/conf/files	2001/09/18 23:31:27	1.566
+++ sys/conf/files	2001/09/19 02:33:02
@@ -772,6 +772,10 @@
 kern/kern_linker.c	standard
 kern/kern_lock.c	standard
 kern/kern_lockf.c	standard
+kern/kern_mac.c		standard
+kern/kern_mac_biba.c	standard
+kern/kern_mac_mls.c	standard
+kern/kern_mac_partition.c	standard
 kern/kern_malloc.c	standard
 kern/kern_mib.c		standard
 kern/kern_module.c	standard
Index: sys/conf/newvers.sh
===================================================================
RCS file: /home/ncvs/src/sys/conf/newvers.sh,v
retrieving revision 1.47
diff -u -r1.47 newvers.sh
--- sys/conf/newvers.sh	2001/03/02 16:52:13	1.47
+++ sys/conf/newvers.sh	2001/05/31 14:41:23
@@ -34,7 +34,7 @@
 #	@(#)newvers.sh	8.1 (Berkeley) 4/20/94
 # $FreeBSD: src/sys/conf/newvers.sh,v 1.47 2001/03/02 16:52:13 ru Exp $
 
-TYPE="FreeBSD"
+TYPE="TrustedBSD"
 REVISION="5.0"
 BRANCH="CURRENT"
 RELEASE="${REVISION}-${BRANCH}"
Index: sys/conf/options
===================================================================
RCS file: /home/ncvs/src/sys/conf/options,v
retrieving revision 1.291
diff -u -r1.291 options
--- sys/conf/options	2001/09/18 23:31:27	1.291
+++ sys/conf/options	2001/09/19 02:33:05
@@ -107,6 +107,7 @@
 
 # TrustedBSD and POSIX.1e Kernel Options
 CAPABILITIES	opt_cap.h
+MAC		opt_mac.h
 
 # Do we want the config file compiled into the kernel?
 INCLUDE_CONFIG_FILE	opt_config.h
cvs diff: Diffing sys/contrib
cvs diff: Diffing sys/contrib/dev
cvs diff: Diffing sys/contrib/dev/acpica
cvs diff: Diffing sys/contrib/dev/fla
cvs diff: Diffing sys/contrib/dev/fla/i386
cvs diff: Diffing sys/contrib/dev/oltr
cvs diff: Diffing sys/contrib/ipfilter
cvs diff: Diffing sys/contrib/ipfilter/netinet
cvs diff: Diffing sys/crypto
cvs diff: Diffing sys/crypto/blowfish
cvs diff: Diffing sys/crypto/cast128
cvs diff: Diffing sys/crypto/des
cvs diff: Diffing sys/crypto/rc4
cvs diff: Diffing sys/crypto/rijndael
cvs diff: Diffing sys/crypto/sha2
cvs diff: Diffing sys/ddb
cvs diff: Diffing sys/dev
cvs diff: Diffing sys/dev/aac
cvs diff: Diffing sys/dev/acpica
cvs diff: Diffing sys/dev/acpica/Osd
cvs diff: Diffing sys/dev/advansys
cvs diff: Diffing sys/dev/aha
cvs diff: Diffing sys/dev/ahb
cvs diff: Diffing sys/dev/aic
cvs diff: Diffing sys/dev/aic7xxx
cvs diff: Diffing sys/dev/aic7xxx/aicasm
cvs diff: Diffing sys/dev/amr
cvs diff: Diffing sys/dev/an
cvs diff: Diffing sys/dev/ar
cvs diff: Diffing sys/dev/asr
cvs diff: Diffing sys/dev/ata
cvs diff: Diffing sys/dev/awi
cvs diff: Diffing sys/dev/bktr
cvs diff: Diffing sys/dev/buslogic
cvs diff: Diffing sys/dev/cardbus
cvs diff: Diffing sys/dev/ccd
cvs diff: Diffing sys/dev/cnw
cvs diff: Diffing sys/dev/cs
cvs diff: Diffing sys/dev/ct
cvs diff: Diffing sys/dev/dec
cvs diff: Diffing sys/dev/dgb
cvs diff: Diffing sys/dev/digi
cvs diff: Diffing sys/dev/dpt
cvs diff: Diffing sys/dev/ed
cvs diff: Diffing sys/dev/eisa
cvs diff: Diffing sys/dev/en
cvs diff: Diffing sys/dev/ep
cvs diff: Diffing sys/dev/ex
cvs diff: Diffing sys/dev/fb
cvs diff: Diffing sys/dev/fe
cvs diff: Diffing sys/dev/fxp
cvs diff: Diffing sys/dev/hea
cvs diff: Diffing sys/dev/hfa
cvs diff: Diffing sys/dev/ic
cvs diff: Diffing sys/dev/ichsmb
cvs diff: Diffing sys/dev/ida
cvs diff: Diffing sys/dev/ie
cvs diff: Diffing sys/dev/iicbus
cvs diff: Diffing sys/dev/isp
cvs diff: Diffing sys/dev/ispfw
cvs diff: Diffing sys/dev/kbd
cvs diff: Diffing sys/dev/lge
cvs diff: Diffing sys/dev/lmc
cvs diff: Diffing sys/dev/lnc
cvs diff: Diffing sys/dev/mca
cvs diff: Diffing sys/dev/md
cvs diff: Diffing sys/dev/mii
cvs diff: Diffing sys/dev/mlx
cvs diff: Diffing sys/dev/mly
cvs diff: Diffing sys/dev/musycc
cvs diff: Diffing sys/dev/ncv
cvs diff: Diffing sys/dev/nge
cvs diff: Diffing sys/dev/nmdm
cvs diff: Diffing sys/dev/nsp
cvs diff: Diffing sys/dev/null
cvs diff: Diffing sys/dev/ofw
cvs diff: Diffing sys/dev/pccard
cvs diff: Diffing sys/dev/pccbb
cvs diff: Diffing sys/dev/pci
cvs diff: Diffing sys/dev/pcic
cvs diff: Diffing sys/dev/pdq
cvs diff: Diffing sys/dev/ppbus
cvs diff: Diffing sys/dev/random
cvs diff: Diffing sys/dev/ray
cvs diff: Diffing sys/dev/rp
cvs diff: Diffing sys/dev/si
cvs diff: Diffing sys/dev/smbus
cvs diff: Diffing sys/dev/sn
cvs diff: Diffing sys/dev/snc
cvs diff: Diffing sys/dev/snp
cvs diff: Diffing sys/dev/sound
cvs diff: Diffing sys/dev/sound/isa
cvs diff: Diffing sys/dev/sound/midi
cvs diff: Diffing sys/dev/sound/pci
cvs diff: Diffing sys/dev/sound/pcm
cvs diff: Diffing sys/dev/sr
cvs diff: Diffing sys/dev/stg
cvs diff: Diffing sys/dev/streams
cvs diff: Diffing sys/dev/sym
cvs diff: Diffing sys/dev/syscons
cvs diff: Diffing sys/dev/syscons/apm
cvs diff: Diffing sys/dev/syscons/blank
cvs diff: Diffing sys/dev/syscons/daemon
cvs diff: Diffing sys/dev/syscons/fade
cvs diff: Diffing sys/dev/syscons/fire
cvs diff: Diffing sys/dev/syscons/green
cvs diff: Diffing sys/dev/syscons/logo
cvs diff: Diffing sys/dev/syscons/rain
cvs diff: Diffing sys/dev/syscons/snake
cvs diff: Diffing sys/dev/syscons/star
cvs diff: Diffing sys/dev/syscons/warp
cvs diff: Diffing sys/dev/tdfx
cvs diff: Diffing sys/dev/twe
cvs diff: Diffing sys/dev/txp
cvs diff: Diffing sys/dev/usb
cvs diff: Diffing sys/dev/vinum
cvs diff: Diffing sys/dev/vx
cvs diff: Diffing sys/dev/wds
cvs diff: Diffing sys/dev/wi
cvs diff: Diffing sys/dev/wl
cvs diff: Diffing sys/dev/xe
cvs diff: Diffing sys/fs
cvs diff: Diffing sys/fs/deadfs
cvs diff: Diffing sys/fs/devfs
cvs diff: Diffing sys/fs/fdescfs
cvs diff: Diffing sys/fs/fifofs
cvs diff: Diffing sys/fs/hpfs
cvs diff: Diffing sys/fs/msdosfs
cvs diff: Diffing sys/fs/ntfs
cvs diff: Diffing sys/fs/nullfs
cvs diff: Diffing sys/fs/nwfs
cvs diff: Diffing sys/fs/portalfs
cvs diff: Diffing sys/fs/procfs
Index: sys/fs/procfs/procfs_vnops.c
===================================================================
RCS file: /home/ncvs/src/sys/fs/procfs/procfs_vnops.c,v
retrieving revision 1.102
diff -u -r1.102 procfs_vnops.c
--- sys/fs/procfs/procfs_vnops.c	2001/09/12 08:37:20	1.102
+++ sys/fs/procfs/procfs_vnops.c	2001/09/13 22:00:56
@@ -43,12 +43,15 @@
  * procfs vnode interface
  */
 
+#include "opt_mac.h"
+
 #include <sys/param.h>
 #include <sys/systm.h>
 #include <sys/dirent.h>
 #include <sys/fcntl.h>
 #include <sys/kernel.h>
 #include <sys/lock.h>
+#include <sys/mac.h>
 #include <sys/malloc.h>
 #include <sys/mount.h>
 #include <sys/mutex.h>
@@ -72,6 +75,9 @@
 static int	procfs_badop __P((void));
 static int	procfs_close __P((struct vop_close_args *));
 static int	procfs_getattr __P((struct vop_getattr_args *));
+#ifdef MAC
+static int	procfs_getlabel __P((struct vop_getlabel_args *));
+#endif
 static int	procfs_ioctl __P((struct vop_ioctl_args *));
 static int	procfs_lookup __P((struct vop_lookup_args *));
 static int	procfs_open __P((struct vop_open_args *));
@@ -563,6 +569,60 @@
 	return (error);
 }
 
+#ifdef MAC
+static int
+procfs_getlabel(ap)
+	struct vop_getlabel_args /* {
+		struct vnode *a_vp;
+		struct mac *a_label;
+		struct ucred *a_cred;
+		struct proc *a_p;
+	}; */ *ap;
+{
+	struct pfsnode *pfs = VTOPFS(ap->a_vp);
+	struct proc *procp;
+
+	switch (pfs->pfs_type) {
+	case Proot:
+	case Pcurproc:
+		procp = NULL;
+		break;
+
+	default:
+		procp = PFIND(pfs->pfs_pid);
+		if (procp == NULL)
+			return (ENOENT);
+
+		if (procp->p_ucred == NULL) {
+			PROC_UNLOCK(procp);
+			return (ENOENT);
+		}
+
+		if (p_can(ap->a_p, procp, P_CAN_SEE, NULL)) {
+			PROC_UNLOCK(procp);
+			return (ENOENT);
+		}
+	}
+
+	if (procp == NULL) {
+		/*
+		 * Return the default object label for non-process
+		 * entries.  Might be better to replicate the label
+		 * of proc 0, or do the default subject label.
+		 */
+		mac_init_object(ap->a_label);
+	} else {
+		/*
+		 * Copy the process label.
+		 */
+		*ap->a_label = procp->p_ucred->cr_label;
+		PROC_UNLOCK(procp);
+	}
+
+	return (0);
+}
+#endif /* !MAC */
+
 static int
 procfs_setattr(ap)
 	struct vop_setattr_args /* {
@@ -995,6 +1055,9 @@
 	{ &vop_close_desc,		(vop_t *) procfs_close },
 	{ &vop_create_desc,		(vop_t *) procfs_badop },
 	{ &vop_getattr_desc,		(vop_t *) procfs_getattr },
+#if MAC
+	{ &vop_getlabel_desc,		(vop_t *) procfs_getlabel },
+#endif
 	{ &vop_link_desc,		(vop_t *) procfs_badop },
 	{ &vop_lookup_desc,		(vop_t *) procfs_lookup },
 	{ &vop_mkdir_desc,		(vop_t *) procfs_badop },
cvs diff: Diffing sys/fs/pseudofs
cvs diff: Diffing sys/fs/smbfs
cvs diff: Diffing sys/fs/specfs
cvs diff: Diffing sys/fs/umapfs
cvs diff: Diffing sys/fs/unionfs
cvs diff: Diffing sys/gnu
cvs diff: Diffing sys/gnu/dev
cvs diff: Diffing sys/gnu/dev/sound
cvs diff: Diffing sys/gnu/dev/sound/pci
cvs diff: Diffing sys/gnu/ext2fs
cvs diff: Diffing sys/gnu/i386
cvs diff: Diffing sys/gnu/i386/fpemul
cvs diff: Diffing sys/i386
cvs diff: Diffing sys/i386/acpica
cvs diff: Diffing sys/i386/apm
cvs diff: Diffing sys/i386/compile
cvs diff: Diffing sys/i386/conf
cvs diff: Diffing sys/i386/i386
cvs diff: Diffing sys/i386/ibcs2
cvs diff: Diffing sys/i386/include
cvs diff: Diffing sys/i386/include/pc
cvs diff: Diffing sys/i386/isa
cvs diff: Diffing sys/i386/isa/bs
cvs diff: Diffing sys/i386/isa/ic
cvs diff: Diffing sys/i386/isa/matcd
cvs diff: Diffing sys/i386/isa/pcvt
cvs diff: Diffing sys/i386/linux
cvs diff: Diffing sys/i386/pci
cvs diff: Diffing sys/i386/svr4
cvs diff: Diffing sys/i4b
cvs diff: Diffing sys/i4b/capi
cvs diff: Diffing sys/i4b/capi/iavc
cvs diff: Diffing sys/i4b/driver
cvs diff: Diffing sys/i4b/include
cvs diff: Diffing sys/i4b/layer1
cvs diff: Diffing sys/i4b/layer1/ifpi
cvs diff: Diffing sys/i4b/layer1/ifpnp
cvs diff: Diffing sys/i4b/layer1/ihfc
cvs diff: Diffing sys/i4b/layer1/isic
cvs diff: Diffing sys/i4b/layer1/itjc
cvs diff: Diffing sys/i4b/layer1/iwic
cvs diff: Diffing sys/i4b/layer2
cvs diff: Diffing sys/i4b/layer3
cvs diff: Diffing sys/i4b/layer4
cvs diff: Diffing sys/ia64
cvs diff: Diffing sys/ia64/compile
cvs diff: Diffing sys/ia64/conf
cvs diff: Diffing sys/ia64/ia64
cvs diff: Diffing sys/ia64/include
cvs diff: Diffing sys/ia64/include/pc
cvs diff: Diffing sys/ia64/isa
cvs diff: Diffing sys/isa
cvs diff: Diffing sys/isofs
cvs diff: Diffing sys/isofs/cd9660
cvs diff: Diffing sys/kern
Index: sys/kern/init_main.c
===================================================================
RCS file: /home/ncvs/src/sys/kern/init_main.c,v
retrieving revision 1.177
diff -u -r1.177 init_main.c
--- sys/kern/init_main.c	2001/09/18 22:09:47	1.177
+++ sys/kern/init_main.c	2001/09/19 02:36:48
@@ -43,6 +43,7 @@
  */
 
 #include "opt_init_path.h"
+#include "opt_mac.h"
 
 #include <sys/param.h>
 #include <sys/file.h>
@@ -54,6 +55,7 @@
 #include <sys/mutex.h>
 #include <sys/sysctl.h>
 #include <sys/proc.h>
+#include <sys/mac.h>
 #include <sys/resourcevar.h>
 #include <sys/systm.h>
 #include <sys/signalvar.h>
@@ -345,6 +347,9 @@
 	p->p_ucred = crget();
 	p->p_ucred->cr_ngroups = 1;	/* group 0 */
 	p->p_ucred->cr_uidinfo = uifind(0);
+#ifdef MAC
+	mac_init_subject(p->p_ucred);
+#endif
 	p->p_ucred->cr_ruidinfo = uifind(0);
 	p->p_ucred->cr_prison = NULL;	/* Don't jail it. */
 
